QwtArraySeriesData< T >(3)

NAME
QwtArraySeriesData< T > - Template class for data, that is organized as QVector.

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtSeriesData< T >.

  Public Member Functions
QwtArraySeriesData ()
Constructor.
QwtArraySeriesData (const QVector< T > &samples)
void setSamples (const QVector< T > &samples)
const QVector< T > samples () const
virtual size_t size () const
virtual T sample (size_t index) const

  Protected Attributes
QVector< T > d_samples
Vector of samples.

Detailed Description

  template<typename T>
class QwtArraySeriesData< T >" Template class for data, that is organized as QVector. QVector uses implicit data sharing and can be passed around as argument efficiently.

Constructor & Destructor Documentation

  template<typename T> QwtArraySeriesData< T >::QwtArraySeriesData (const QVector< T > & samples)
Constructor

Parameters:
    samples Array of samples

Member Function Documentation

  template<typename T > T QwtArraySeriesData< T >::sample (size_t index) const [virtual]

Returns:
    Sample at a specific position

Parameters:
    index Index

Returns:
    Sample at position index

Implements QwtSeriesData< T >.

  template<typename T > const QVector< T > QwtArraySeriesData< T >::samples () const

Returns:
    Array of samples

  template<typename T> void QwtArraySeriesData< T >::setSamples (const QVector< T > & samples)
Assign an array of samples

Parameters:
    samples Array of samples

  template<typename T > size_t QwtArraySeriesData< T >::size () const [virtual]

Returns:
    Number of samples

Implements QwtSeriesData< T >.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.